Upstream information

CVE-2017-7400 at MITRE

Description

OpenStack Horizon 9.x through 9.1.1, 10.x through 10.0.2, and 11.0.0 allows remote authenticated administrators to conduct XSS attacks via a crafted federation mapping.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 3.5 6
Vector AV:N/AC:M/Au:S/C:N/I:P/A:N AV:N/AC:M/Au:S/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication Single Single
Confidentiality Impact None Partial
Integrity Impact Partial Partial
Availability Impact None Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 4.8 4.8
Vector AV:N/AC:L/PR:H/UI:R/S:C/C:L/I:L/A:N AV:N/AC:L/PR:H/UI:R/S:C/C:L/I:L/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required High High
User Interaction Required Required
Scope Changed Changed
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact None None
SUSE Bugzilla entry: 1032322 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE OpenStack Cloud 7
  • openstack-ceilometer >= 7.0.4~a0~dev7-3.1
  • openstack-ceilometer-agent-central >= 7.0.4~a0~dev7-3.1
  • openstack-ceilometer-agent-compute >= 7.0.4~a0~dev7-3.1
  • openstack-ceilometer-agent-ipmi >= 7.0.4~a0~dev7-3.1
  • openstack-ceilometer-agent-notification >= 7.0.4~a0~dev7-3.1
  • openstack-ceilometer-api >= 7.0.4~a0~dev7-3.1
  • openstack-ceilometer-collector >= 7.0.4~a0~dev7-3.1
  • openstack-ceilometer-doc >= 7.0.4~a0~dev7-3.2
  • openstack-ceilometer-polling >= 7.0.4~a0~dev7-3.1
  • openstack-cinder >= 9.1.5~a0~dev1-3.1
  • openstack-cinder-api >= 9.1.5~a0~dev1-3.1
  • openstack-cinder-backup >= 9.1.5~a0~dev1-3.1
  • openstack-cinder-doc >= 9.1.5~a0~dev1-3.1
  • openstack-cinder-scheduler >= 9.1.5~a0~dev1-3.1
  • openstack-cinder-volume >= 9.1.5~a0~dev1-3.1
  • openstack-dashboard >= 10.0.4~a0~dev2-3.1
  • openstack-glance >= 13.0.1~a0~dev6-3.1
  • openstack-glance-api >= 13.0.1~a0~dev6-3.1
  • openstack-glance-doc >= 13.0.1~a0~dev6-3.3
  • openstack-glance-glare >= 13.0.1~a0~dev6-3.1
  • openstack-glance-registry >= 13.0.1~a0~dev6-3.1
  • openstack-heat >= 7.0.4~a0~dev4-4.1
  • openstack-heat-api >= 7.0.4~a0~dev4-4.1
  • openstack-heat-api-cfn >= 7.0.4~a0~dev4-4.1
  • openstack-heat-api-cloudwatch >= 7.0.4~a0~dev4-4.1
  • openstack-heat-doc >= 7.0.4~a0~dev4-4.2
  • openstack-heat-engine >= 7.0.4~a0~dev4-4.1
  • openstack-heat-plugin-heat_docker >= 7.0.4~a0~dev4-4.1
  • openstack-heat-test >= 7.0.4~a0~dev4-4.1
  • openstack-keystone >= 10.0.2~a0~dev2-6.1
  • openstack-keystone-doc >= 10.0.2~a0~dev2-6.2
  • openstack-magnum >= 3.1.2~a0~dev22-13.1
  • openstack-magnum-api >= 3.1.2~a0~dev22-13.1
  • openstack-magnum-conductor >= 3.1.2~a0~dev22-13.1
  • openstack-magnum-doc >= 3.1.2~a0~dev22-13.1
  • openstack-manila >= 3.0.1~a0~dev27-3.1
  • openstack-manila-api >= 3.0.1~a0~dev27-3.1
  • openstack-manila-data >= 3.0.1~a0~dev27-3.1
  • openstack-manila-doc >= 3.0.1~a0~dev27-3.1
  • openstack-manila-scheduler >= 3.0.1~a0~dev27-3.1
  • openstack-manila-share >= 3.0.1~a0~dev27-3.1
  • openstack-nova >= 14.0.6~a0~dev16-3.1
  • openstack-nova-api >= 14.0.6~a0~dev16-3.1
  • openstack-nova-cells >= 14.0.6~a0~dev16-3.1
  • openstack-nova-cert >= 14.0.6~a0~dev16-3.1
  • openstack-nova-compute >= 14.0.6~a0~dev16-3.1
  • openstack-nova-conductor >= 14.0.6~a0~dev16-3.1
  • openstack-nova-console >= 14.0.6~a0~dev16-3.1
  • openstack-nova-consoleauth >= 14.0.6~a0~dev16-3.1
  • openstack-nova-doc >= 14.0.6~a0~dev16-3.3
  • openstack-nova-novncproxy >= 14.0.6~a0~dev16-3.1
  • openstack-nova-placement-api >= 14.0.6~a0~dev16-3.1
  • openstack-nova-scheduler >= 14.0.6~a0~dev16-3.1
  • openstack-nova-serialproxy >= 14.0.6~a0~dev16-3.1
  • openstack-nova-vncproxy >= 14.0.6~a0~dev16-3.1
  • python-ceilometer >= 7.0.4~a0~dev7-3.1
  • python-cinder >= 9.1.5~a0~dev1-3.1
  • python-glance >= 13.0.1~a0~dev6-3.1
  • python-heat >= 7.0.4~a0~dev4-4.1
  • python-horizon >= 10.0.4~a0~dev2-3.1
  • python-keystone >= 10.0.2~a0~dev2-6.1
  • python-magnum >= 3.1.2~a0~dev22-13.1
  • python-manila >= 3.0.1~a0~dev27-3.1
  • python-nova >= 14.0.6~a0~dev16-3.1
Patchnames:
SUSE-OpenStack-Cloud-7-2017-882


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Cloud 5 openstack-dashboard Not affected
SUSE Openstack Cloud 6 openstack-dashboard Not affected
SUSE Openstack Cloud 7 openstack-dashboard Released